Subject: bug#36903: 27.0.50; gnus registry vs. debbugs

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 15 Sep 2019 14:20:02 +0200

Eric Abrahamsen <[email-masked]> writes:

> The conclusion is I don't know what to do. Users who have customized
> `gnus-summary-line-format' to draw info from the registry will see an
> error if they start Gnus, stop Gnus, then start debbugs-gnu. That's
> because stopping Gnus clears the registry, but starting debbugs-gnu
> doesn't re-load it (because it doesn't load the users gnus.el file), and
> the summary line format continues trying to access the registry object.

Can't you just make the erroring-out functions return "" or something if
they're called before the registry is loaded?  Or make them initialise
the registry if called when it's not loaded?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no